apiVersion: apps/v1
kind: Deployment
metadata:
  name: hello-openshift-0
  namespace: test-init-container
spec:
  progressDeadlineSeconds: 600
  replicas: 60
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      app: hello-openshift
  strategy:
    rollingUpdate:
      maxSurge: 25%
      maxUnavailable: 25%
    type: RollingUpdate
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: hello-openshift
    spec:
      containers:
      - command:
        - sh
        - -c
        - echo The app is running! && sleep 3600000
        image: registry.kni-qe-22.lab.eng.bos.redhat.com:5000/openshifttest/hello-openshift:1.2.0
        imagePullPolicy: IfNotPresent
        name: hello-openshift-1
        resources: {}
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
      - command:
        - sh
        - -c
        - echo The app is running! && sleep 3600000
        image: registry.kni-qe-22.lab.eng.bos.redhat.com:5000/openshifttest/hello-openshift:1.2.0
        imagePullPolicy: IfNotPresent
        name: hello-openshift-2
        resources: {}
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
      dnsPolicy: ClusterFirst
      initContainers:
      - command:
        - sh
        - -c
        - echo init-1 && sleep 1
        image: registry.kni-qe-22.lab.eng.bos.redhat.com:5000/openshifttest/busybox:latest
        imagePullPolicy: Always
        name: config-init-1
        resources:
          limits:
            cpu: 20m
            memory: 50Mi
          requests:
            cpu: 10m
            memory: 50Mi
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
      - command:
        - sh
        - -c
        - echo init-2 && sleep 1
        image: registry.kni-qe-22.lab.eng.bos.redhat.com:5000/openshifttest/busybox:latest
        imagePullPolicy: Always
        name: config-init-2
        resources:
          limits:
            cpu: 20m
            memory: 50Mi
          requests:
            cpu: 10m
            memory: 50Mi
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
      - command:
        - sh
        - -c
        - echo init-3 && sleep 1
        image: registry.kni-qe-22.lab.eng.bos.redhat.com:5000/openshifttest/busybox:latest
        imagePullPolicy: Always
        name: config-init-3
        resources:
          limits:
            cpu: 20m
            memory: 50Mi
          requests:
            cpu: 10m
            memory: 50Mi
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
      - command:
        - sh
        - -c
        - echo init-4 && sleep 1
        image: registry.kni-qe-22.lab.eng.bos.redhat.com:5000/openshifttest/busybox:latest
        imagePullPolicy: Always
        name: config-init-4
        resources:
          limits:
            cpu: 20m
            memory: 50Mi
          requests:
            cpu: 10m
            memory: 50Mi
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      terminationGracePeriodSeconds: 30
